<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/TypeAnalysis/Type.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::TypeAnalysis::Type</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../TypeAnalysis.html" >TypeAnalysis</a>
</div><div class="class-name">class Type

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/TypeAnalysis/Type.hh.html" target="detail">../Synopsis/TypeAnalysis/Type.hh</a></div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mType" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line20" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Type-inheritance" src="Type-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Type-inheritance_map" />
<map name="Type-inheritance_map"><area alt="Scopes/Synopsis/TypeAnalysis/BuiltinType.html" href="BuiltinType.html" shape="rect" coords="5, 81, 232, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/Enum.html" href="Enum.html" shape="rect" coords="256, 81, 451, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/Reference.html" href="Reference.html" shape="rect" coords="475, 81, 696, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/Compound.html" href="Compound.html" shape="rect" coords="720, 81, 944, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/Function.html" href="Function.html" shape="rect" coords="968, 81, 1179, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/PointerToMember.html" href="PointerToMember.html" shape="rect" coords="1203, 81, 1469, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/CVType.html" href="CVType.html" shape="rect" coords="1493, 81, 1701, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/Pointer.html" href="Pointer.html" shape="rect" coords="1725, 81, 1928, 105" />
<area alt="Scopes/Synopsis/TypeAnalysis/Array.html" href="Array.html" shape="rect" coords="1952, 81, 2147, 105" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Type_lconst.std_mstring_A_r">Type</a>(const&#160;std::string&amp; <span class="variable">name</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line23" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tType_l_r">~Type</a>()  </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mType_m_tType_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;const&#160;std::string&amp; <a class="name" id="name_l_rconst">name</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mType_mname_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line25" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mType_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line26" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="ref_l_rconst">ref</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref33.html#Synopsis_mTypeAnalysis_mType_mref_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line27" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="deref_l_rconst">deref</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mType_mderef_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line28" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">const&#160;std::string <a class="name" id="my_name">my_name</a> = </div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mType_mmy_name" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line31" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">size_t <a class="name" id="my_refcounter">my_refcounter</a></div> <div class="xref"><a href="../../../XRef/xref32.html#Synopsis_mTypeAnalysis_mType_mmy_refcounter" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line32" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:01 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
